"use client";

import { useState } from "react";
import { SpreadSheets } from "@mescius/spread-sheets-react";
import * as GC from "@mescius/spread-common";
import "@mescius/spread-sheets-core";
import "@mescius/spread-calc-engine";
import "@mescius/spread-sheets-calc-engine";
import "@mescius/spread-sheets-conditional-formatting";
import "@mescius/spread-sheets-cell-types";
import "@mescius/spread-sheets-filter";
import "@mescius/spread-sheets-bindings";
import "@mescius/spread-sheets-outlines";
import "@mescius/spread-sheets-outline-column";
import "@mescius/spread-sheets-print";
import "@mescius/spread-sheets-tables";
import "@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css";

console.log(process.env.NEXT_PUBLIC_SPREADJS_LICENSE_KEY);
GC.Spread.Sheets.LicenseKey =
  process.env.NEXT_PUBLIC_SPREADJS_LICENSE_KEY || "";

export default function SpreadSheet(props: SpreadSheetProps) {
  console.log("SpreadSheet", props);
  const [hostStyle] = useState({
    width: "100%",
    height: "450px",
    border: "1px solid darkgray",
  });

  const [workbookRef, setWorkbookRef] =
    useState<GC.Spread.Sheets.Workbook | null>(null);

  return (
    <SpreadSheets
      hostStyle={hostStyle}
      workbookInitialized={(x) => {
        console.log(x);
        setWorkbookRef(x);
      }}
    />
  );
}

export interface SpreadSheetProps {
  data: object[];
  columns: string[];
  onInitialized: (workbook: GC.Spread.Sheets.Workbook) => void;
}
