"use client";

import dynamic from "next/dynamic";
import { MOCK_DATA } from "./constants";

const Spreadsheet = dynamic(
  async () => await import("./components/spreadsheet/Spreadsheet"),
  {
    ssr: false,
  }
);

export default function TestRoute() {
  return (
    <div>
      <h1>SpreadJS Sample</h1>
      <div style={{ marginTop: "1rem" }}>
        <Spreadsheet
          data={MOCK_DATA}
          columns={["name", "language", "id", "bio", "version"]}
          onInitialized={(workbook) => {
            console.log(workbook);
          }}
        />
      </div>
    </div>
  );
}
